#ifndef _MAIN_H_
#define _MAIN_H_

typedef struct { char r, g, b; } RGB;
typedef struct { char b, g, r; } BGR;
typedef struct { int l0; } LINT ;
typedef struct { short i0, i1; } S1INT;
typedef struct { unsigned short w0, w1; } S2INT;
typedef struct { char b0, b1, b2, b3; } CINT;
typedef struct { char * p0; } POINT;

typedef union {
    LINT  l;
    S1INT i;
    S2INT w;
    CINT  b;
    POINT p; } TLong;

typedef struct {
    long     int    Xres, Yres, NumPixel;
    unsigned short  BitPerPixel;
    RGB             Pal[256];
    TLong           PBitmap;
    } IMAGE;

#endif
